# NM_DDM_Associate_Region Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_DDM_Associate_Region:

[legend]

List of all members.

## Public Types
typedef NM_DDM_Base | Super
## Public Member Functions
| NM_DDM_Associate_Region ()
virtual | ~NM_DDM_Associate_Region ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
const int32_t | getRegion () const
void | setRegion (SpaceHandle newRegion)
const ObjectHandle | getObject () const
void | setObject (ObjectHandle newObject)

## Detailed Description

Definition at line 1384 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_DDM_Base Super

Reimplemented from NM_DDM_Base.

Definition at line 1386 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_DDM_Associate_Region | ( |  | ) |

Definition at line 1598 of file NM_Classes.cc.

References NetworkMessage::DDM_ASSOCIATE_REGION, NetworkMessage::name, and NetworkMessage::type.

~NM_DDM_Associate_Region | ( |  | ) | `[virtual]`

Definition at line 1603 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Implements NM_DDM_Base.

Definition at line 1605 of file NM_Classes.cc.

References NM_DDM_Base::DDM_bool, NetworkMessage::region, NM_WithHandleArray::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Implements NM_DDM_Base.

Definition at line 1613 of file NM_Classes.cc.

References NM_DDM_Base::DDM_bool, NM_WithHandleArray::deserialize(), MessageBuffer::read_bool(), and NetworkMessage::region.

Here is the call graph for this function:

const int32_t getRegion | ( |  | ) | const`[inline]`

Reimplemented from NM_DDM_Base.

Definition at line 1392 of file NM_Classes.hh.

void setRegion | ( | SpaceHandle | newRegion | ) | `[inline]`

Definition at line 1393 of file NM_Classes.hh.

const ObjectHandle getObject | ( |  | ) | const`[inline]`

Reimplemented from NM_DDM_Base.

Definition at line 1394 of file NM_Classes.hh.

void setObject | ( | ObjectHandle | newObject | ) | `[inline]`

Reimplemented from NM_DDM_Base.

Definition at line 1395 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc